#===================================================================
#
#   Swapsize Make file
#
#===================================================================

#===================================================================
#
#   Sample application makefile,common definitions for the IBM C
#   compiler environment
#===================================================================
.SUFFIXES:
.SUFFIXES: .rc .res .obj .lst .c .asm .hlp .itl .ipf
#===================================================================
# Default compilation macros for sample programs
#
# Compile switchs  that are enabled
# /c      compile don't link
# /Gm+    use the multi-threaded libraries
# /ss     allow  "//" for comment lines
# /Ms     use the system calling convention and not optilink as the default
# /Gd-    Disable optimization
# /Se     allow cset  extensions
#
#Note: /D__MIG_LIB__ will be coming out after LA and code should be changed
#      accordingly.
#

NDB = /De
TI = /Ti
!IFDEF NODBG
NDB =
TI =
!ENDIF
CC         = icc /c /Kb /Ge /Gd- /Se /Re /ss /Gm+ $(TI)


AFLAGS  = /Mx -t -z
ASM     = ml /c /Zm
LFLAGS   = /NOL /NOE /NOD /BASE:65536 /ALIGN:16 /EXEPACK /M  $(NDB)
LINK    = LINK386  $(LFLAGS)
LIBS    = DDE4MBS + OS2386
STLIBS  = DDE4SBS + OS2386
MTLIBS  = DDE4MBS + DDE4MBM  + os2386
DLLLIBS = DDE4NBS + os2386
VLIBS   = DDE4SBS + vdh + os2386

.c.lst:
    $(CC) -Fc$*.lst -Fo$*.obj $*.c

.c.obj:
    $(CC) -Fo$*.obj $*.c

.asm.obj:
    $(ASM)   $*.asm

.ipf.hlp:
        ipfc $*.ipf /W3

.itl.hlp:
        cc  -P $*.itl
        ipfc $*.i
        del $*.i

.rc.res:
        rc -r -p -x $*.rc


HEADERS = portwin.h

#-------------------------------------------------------------------
#   A list of all of the object files
#-------------------------------------------------------------------
ALL_OBJ1 = portwin.obj


all: portwin.exe


portwin.l: portwin.mak
    echo $(ALL_OBJ1)            > portwin.l
    echo portwin.exe           >> portwin.l
    echo portwin.map           >> portwin.l
    echo $(LIBS)                >> portwin.l
    echo portwin.def           >> portwin.l


portwin.res: portwin.rc portwin.ico portwin.h

portwin.obj: portwin.c $(HEADERS)

portwin.exe: $(ALL_OBJ1)  portwin.def portwin.l portwin.res
    $(LINK) @portwin.l
    rc portwin.res portwin.exe
